/**
 * Retorna o custo de um produto existente no cardápio de trabalho
 * @param {Number} P_NRCARDAPIOTRAB Número do cardápio de trabalho de origem
 * @param {Varchar2} P_CDPRODUTO Código do produto
 * revisada
 */
CREATE OR REPLACE FUNCTION CUSTO_PROD_CARDTRAB
(
   P_NRCARDAPIOTRAB IN NUMBER,
   P_CDPRODUTO IN VARCHAR2
) RETURN FLOAT
AS
   V_VRCUSTO FLOAT := 0;
BEGIN
   SELECT MAX(NVL(PL.VRCUSTO, P.VRCUSTO))
     INTO V_VRCUSTO
     FROM PRODUTOCARDTRAB P
          LEFT JOIN PRODLISTAPRECOCARDTRAB PL ON PL.NRPRODLISTAPRECOCARDTRAB = P.NRPRODLISTAPRECOCARDTRAB
    WHERE P.NRCARDAPIOTRAB = P_NRCARDAPIOTRAB
      AND P.CDPRODUTO = P_CDPRODUTO;

   RETURN ROUND(NVL(V_VRCUSTO, 0.00), 5);
END;
/